module.exports = function error(fn,errorFn) {
   return (req,res,next) => {
      try {
         return fn(req,res,next)
      } catch (error) {
         if(errorFn) return errorFn(req,res,error)
         else {
            console.log(error)
            return res.status(500).end('Internal server error')
         }
      }
   }
}
